<?php
/**
 * Setting the default admin theme options and menus
*/

    /*********************************************
     * General Options
     *********************************************
    */

        // General Settings
        $this->admin_option('Общие',
            'Logo ресурсы', 'themater_logo_source', 
            'callback', 'image', 
            array('callback' =>'themater_logo_source')
        );
        
        $this->admin_option('Общие', 
            'Перенос изображения логотипа', 'themater_logo_iamge_wrap', 
            'raw', '<div id="themater_logo_image">', 
            array('display'=>'clean')
        );
            
        $this->admin_option('Общие', 
            'Изображение логотипа', 'logo', 
            'imageupload', get_template_directory_uri()  . "/images/logo.png", 
            array('display' => 'minimal', 'help' => "Введите полный URL вашего логотипа или загрузить сейчас.")
        );
        
        $this->admin_option('Общие', 
            'Конец переноса изображения логотипа', 'themater_logo_iamge_wrap_end', 
            'raw', '</div>', 
            array('display'=>'clean')
        );
        
        $this->admin_option('Общие', 
            'Logo текст', 'themater_logo_text_wrap', 
            'raw', '<div id="themater_logo_text">', 
            array('display'=>'clean')
        );
            
        $this->admin_option('Общие',
            'Название сайта', 'site_title', 
            'text', get_bloginfo('name'),
            array('display'=>'inline')
        );
        
        $this->admin_option('Общие',
            'Описание сайта', 'site_description', 
            'text', '', 
            array('display'=>'inline')
        );
        
        $this->admin_option('Общие', 
            'Конец переноса изображения логотипа', 'themater_logo_text_wrap_end', 
            'raw', '</div>', 
            array('display'=>'clean')
        );
            
        $this->admin_option('Общие', 
            'Favicon', 'favicon', 
            'imageupload', get_template_directory_uri() . "/images/favicon.png", 
            array('help' => "Введите полный URL вашего favicon файла. Оставьте это поле пустым, если вы не хотите использовать favicon.")
        );
        
        $this->admin_option('Общие',
            'Связаться по e-mail', 'contact_form_email', 
            'text', get_option('admin_email'),
            array('display' => 'extended', 'help' => 'Используйте контактной форму, чтобы отправить сообщение на email адресс.')
        );
        
    
    /*********************************************
     * Layout Options
     *********************************************
    */
 
        $this->admin_option('Макет (Читать далее)',
            'Текст "Читать далее"', 'read_more', 
            'text', 'Читать далее'
        );
        
        
        $this->admin_option('Макет', 
            'Рекомендуемые параметры изображения', 'featured_image_settings', 
            'content', ''
        );
        
        $this->admin_option('Макет', 
            'Рекомендуемые параметры изображения на главной', 'featured_image_settings_homepage', 
            'raw', '<b>&raquo;</b> Настройки для изображений (домашняя страница, страницы категорий, тэгов, поиска и архивирования страниц ).<br /><br />'
        );
        
        $this->admin_option('Макет',
            'Ширина изображения', 'featured_image_width', 
            'text', '200', 
            array('display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $this->admin_option('Макет',
            'Высота изображения', 'featured_image_height', 
            'text', '160', 
            array('display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $this->admin_option('Макет',
            'Положение изображения', 'featured_image_position', 
            'radio', 'alignleft', 
            array('options'=>array('alignleft' => 'Left', 'alignright'=> 'Right', 'aligncenter'=>'Center') , 'display'=>'inline')
        );
        
        $this->admin_option('Макет', 
            'Рекомендуемые параметры изображения', 'featured_image_settings_single', 
            'raw', '<b>&raquo;</b> Опции для изображения в одной записи, и в одной странице.<br /><br />'
        );
        
        $this->admin_option('Макет',
            'Ширина изображения', 'featured_image_width_single', 
            'text', '300', 
            array('display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $this->admin_option('Макет',
            'Высота изображения', 'featured_image_height_single', 
            'text', '225', 
            array('display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $this->admin_option('Макет',
            'Положение изображения', 'featured_image_position_single', 
            'radio', 'alignleft', 
            array('options'=>array('alignleft' => 'Left', 'alignright'=> 'Right', 'aligncenter'=>'Center') , 'display'=>'inline')
        );
        
        $this->admin_option('Макет (Футер)', 
            'Текст футера', 'footer_custom_text', 
            'textarea', '', 
            array('help' => 'Добавьте текст для футера.', 'display'=>'extended-top', 'style'=>'height: 140px;')
        );

    /*********************************************
     * Integration
     *********************************************
    */
        $this->admin_option('Интеграция',
            'Ссылка на RSS фид', 'rss_url', 
            'text', '', 
            array('help' => 'Введите ссылку на RSS фид, Feedburner и другие.', 'display'=>'extended-top')
        );
        
        $this->admin_option('Интеграция',
            'Дополнительные стили CSS', 'custom_css', 
            'textarea', '', 
            array('help' => 'Сюда можно добавить необходимый код, он будет выведен между тегами head.', 'display'=>'extended-top', 'style'=>'height: 180px;')
        );
        
        $this->admin_option('Интеграция',
            'Head код', 'head_code', 
            'textarea', 'Сюда можно добавить произвольный код, он будет выведен между тегами <head></head>.', 
            array('help' => '', 'display'=>'extended-top', 'style'=>'height: 180px;')
        );
        
        $this->admin_option('Интеграция',
            'Код футера', 'footer_code', 
            'textarea', 'Сюда можно добавить произвольный код, он будет выведен перед </body>', 
            array('help' => '', 'display'=>'extended-top', 'style'=>'height: 180px;')
        );
        
    
   /*********************************************
     * Ads
     *********************************************
    */

    $this->admin_option('Объявления', 
        'Header Banner', 'header_banner', 
        'textarea', '', 
        array('help' => 'Введите код для банера 468x60px.', 'style'=>'height: 120px;')
    ); 
    
    /*********************************************
     * Reset Options
     *********************************************
    */
    
    $this->admin_option('Сбросить настройки',
        'Сбросить настройки темы', 'reset_options', 
        'content', '
        <div id="fp_reset_options" style="margin-bottom:40px; display:none;"></div>
        <div style="margin-bottom:40px;"><a class="button-primary tt-button-red" onclick="if (confirm(\'Все сохраненные настройки будут утеряны! Вы действительно хотите продолжить?\')) { themater_form(\'admin_options&do=reset\', \'fpForm\',\'fp_reset_options\',\'true\'); } return false;">Сбросить параметры</a></div>', 
        array('help' => 'Сброс настроек темы по умолчанию. <span style="color:red;"><strong>Примечание: </strong>Все предыдущие сохраненные настройки будут утеряны!</span>', 'display'=>'extended-top')
    );
    
    /*********************************************
     * Support
     *********************************************
    */
    $get_theme_data = get_theme_data(TEMPLATEPATH . '/style.css');
    $this->admin_option('Поддержка',
        'Support', 'support',
        'raw', '<ul>
        <li><strong>Тема:</strong> ' . $get_theme_data['Name'] . ' ' . $get_theme_data['Version']  .' </li>
        <li><strong>Автор темы:</strong> <a href="' . $get_theme_data['AuthorURI'] . '" target="_blank">' . $get_theme_data['Author'] . '</a></li>
        <li><strong>Тема домашняя страница</strong> <a href="' . $get_theme_data['URI'] . '" target="_blank">' . $get_theme_data['URI'] . '</a></li>
        <li><strong>Форум поддержки :</strong> <a href="' . $get_theme_data['AuthorURI'] . '/forum/" target="_blank">' . $get_theme_data['AuthorURI'] . '/forum/</a></li>
        </ul>'
    );
    
    $the_theme_slug_url =  str_replace(' ', '-', trim(strtolower($get_theme_data['Name'])));
    $this->admin_option('Общие',
        'Ссылка на бесплатные версии', 'link_free', 
        'raw', '<div class="tt-notice">Вы можете купить эту тему без ссылок в футере <a href="' . $get_theme_data['AuthorURI'] . '/buy/?theme=' . $the_theme_slug_url . '" target="_blank">' . $get_theme_data['AuthorURI'] . '/buy/?theme=' . $the_theme_slug_url . '</a><br />Обнавляйтесь легко. Все текущие настройки будут сохранены.</div>', 
        array('priority' => '1')
    ); //the_theme_slug_url
    
    
    /*********************************************
     * FUNCTIONS
     *********************************************
    */
        
    function themater_logo_source()
    {
        global $theme;
        $get_logo_source = $theme->get_option('themater_logo_source');
        $logo_sources = array('image'=> 'Изображение логотипа', 'text'=> 'Пользовательский текст');
        
        foreach($logo_sources as $key=>$val) {
            $logo_source_selected = $get_logo_source == $key ? 'checked="checked"' : '';
            ?>
            <div id="select_logo_source_<?php echo $key; ?>" class="tt_radio_button_container">
                <input type="radio" name="themater_logo_source" value="<?php echo $key; ?>" <?php echo $logo_source_selected; ?> id="logo_source_id_<?php echo $key; ?>" /> <a href="javascript:themater_logo_source_js('<?php echo $key; ?>');" class="tt_radio_button"><?php echo $val; ?></a>
            </div>
            <?php
        }
        ?>
            <script type="text/javascript">
                function themater_logo_source_js(source)
                {
                    $thematerjQ("#themater_logo_image").hide();
                    $thematerjQ("#select_logo_source_image a").removeClass('tt_radio_button_current');
                    $thematerjQ("#select_logo_source_image").find(":radio").removeAttr("checked");
                    
                    $thematerjQ("#themater_logo_text").hide();
                    $thematerjQ("#select_logo_source_text a").removeClass('tt_radio_button_current');
                    $thematerjQ("#select_logo_source_text").find(":radio").removeAttr("checked");
                    
                    
                    $thematerjQ("#themater_logo_"+source+"").fadeIn();
                    $thematerjQ("#select_logo_source_"+source+" a").addClass('tt_radio_button_current');
                    $thematerjQ("#select_logo_source_"+source+"").find(":radio").attr("checked","checked");
                }
                jQuery(document).ready(function(){
                    themater_logo_source_js('<?php echo $get_logo_source; ?>');
                });
                
            </script>
        <?php
    }
    
?>